JUnitReportsFactory (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.test.report.junit
[Java] Class JUnitReportsFactory

    java.lang.Object
      org.codehaus.groovy.grails.test.report.junit.JUnitReportsFactory

    public class JUnitReportsFactory
    extends java.lang.Object

Field Summary
`static java.lang.String` | `PLAIN`
`static java.lang.String` | `XML`
`protected java.util.List` | `formats`
`protected java.lang.String` | `phaseName`
`protected java.io.File` | `reportsDir`
`protected java.lang.String` | `typeName`

Constructor Summary
`JUnitReportsFactory(java.lang.String phaseName, java.lang.String typeName, java.io.File reportsDir, java.util.List formats)`

Method Summary
`static JUnitReportsFactory` | `createFromBuildBinding(groovy.lang.Binding buildBinding)`
`protected org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter` | `createReport(java.lang.String format, java.lang.String name)`
`JUnitReports` | `createReports(java.lang.String name)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### PLAIN

    public static final java.lang.String PLAIN

### XML

    public static final java.lang.String XML

### formats

    protected final java.util.List formats

### phaseName

    protected final java.lang.String phaseName

### reportsDir

    protected final java.io.File reportsDir

### typeName

    protected final java.lang.String typeName

Constructor Detail

### JUnitReportsFactory

    public JUnitReportsFactory(java.lang.String phaseName, java.lang.String typeName, java.io.File reportsDir, java.util.List formats)

Method Detail

### createFromBuildBinding

    @java.lang.SuppressWarnings("unchecked")
    public static JUnitReportsFactory createFromBuildBinding(groovy.lang.Binding buildBinding)

### createReport

    protected org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter createReport(java.lang.String format, java.lang.String name)

### createReports

    public JUnitReports createReports(java.lang.String name)

Groovy Documentation